Bug 823180 - Review Request: perl-Plack-Middleware-ForceEnv - Force set environment variables for testing
Review Request: perl-Plack-Middleware-ForceEnv - Force set environment variab...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Plack-Mid...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 14:34 EDT by Iain Arnell
Modified: 2012-06-17 18:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 18:23:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-05-19 14:34:32 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Plack-Middleware-ForceEnv.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Plack-Middleware-ForceEnv-0.02-1.fc18.src.rpm

Description:
ForceEnv modifies the environment passed to the application by adding your
specified key value pairs. This is primarily useful when testing apps under
plackup (or similar) in a development environment.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4089335

*rt-0.10_02
Comment 1 Jitka Plesnikova 2012-05-25 05:24:51 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jplesnik/review/tmp/823180/Plack-Middleware-ForceEnv-0.02.tar.gz :
  MD5SUM this package     : 500f2d7ea6ce525b789f533deaca93cb
  MD5SUM upstream package : 500f2d7ea6ce525b789f533deaca93cb
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

TODO:
The sources contain some Module::Install* modules. The author of source
tarball could changed them. So, it is prefered to use them from repository
*  Please remove the inc directory and the related files from MANIFEST in
  %prep section e.g.
rm -r inc
sed -i -e '/^inc\// d' MANIFEST
find -type f -exec chmod -x {} +
* Add perl(inc::Module::Install) to BuildRequires


Please consider fixing `TODO' items and provide new spec file.

Package NOT approved.

Generated by fedora-review 0.2.0git
External plugins:
Comment 2 Iain Arnell 2012-06-03 12:49:25 EDT
Updated to buildrequire perl(inc::Module::Install) to ensure correct dependencies are present at build time. I've not removed inc/* as these are the modules that are supposed to be used for installation - that's how Module::Install works - and if upstream has modified them, I'm sure there's a good reason for it.

Spec URL: http://fedorapeople.org/~iarnell/review/perl-Plack-Middleware-ForceEnv.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Plack-Middleware-ForceEnv-0.02-2.fc18.src.rpm

Koji URL: https://koji.fedoraproject.org/koji/taskinfo?taskID=4123510
Comment 3 Jitka Plesnikova 2012-06-06 05:05:29 EDT
Package APPROVED.
Comment 4 Iain Arnell 2012-06-06 07:54:10 EDT
Thanks for the review.

New Package SCM Request
=======================
Package Name: perl-Plack-Middleware-ForceEnv
Short Description: Force set environment variables for testing
Owners: iarnell
Branches: f16 f17
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-06-06 09:22:57 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-06-09 11:43:41 EDT
perl-Plack-Middleware-ForceEnv-0.02-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Plack-Middleware-ForceEnv-0.02-2.fc17
Comment 7 Fedora Update System 2012-06-09 11:43:51 EDT
perl-Plack-Middleware-ForceEnv-0.02-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Plack-Middleware-ForceEnv-0.02-2.fc16
Comment 8 Fedora Update System 2012-06-09 21:30:43 EDT
perl-Plack-Middleware-ForceEnv-0.02-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 9 Fedora Update System 2012-06-17 18:23:46 EDT
perl-Plack-Middleware-ForceEnv-0.02-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-06-17 18:28:02 EDT
perl-Plack-Middleware-ForceEnv-0.02-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.